Package com.microej.wear.services

## Enum ExternalResourceService.ImageFormat

- java.lang.Object
- - java.lang.Enum<ExternalResourceService.ImageFormat>
  - - com.microej.wear.services.ExternalResourceService.ImageFormat

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExternalResourceService.ImageFormat>`
  Enclosing interface:
    ExternalResourceService

      public static enum ExternalResourceService.ImageFormat
      extends Enum<ExternalResourceService.ImageFormat>

  Enumerates supported image formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A8` | A8 format.
    `ARGB4444` | ARGB4444 format.
    `RGB565` | RGB565 format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExternalResourceService.ImageFormat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExternalResourceService.ImageFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGB565

          public static final ExternalResourceService.ImageFormat RGB565

      RGB565 format.

    - #### ARGB4444

          public static final ExternalResourceService.ImageFormat ARGB4444

      ARGB4444 format.

    - #### A8

          public static final ExternalResourceService.ImageFormat A8

      A8 format.

  - ### Method Detail

    - #### values

          public static ExternalResourceService.ImageFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExternalResourceService.ImageFormat c : ExternalResourceService.ImageFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExternalResourceService.ImageFormat valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null